QuattroDosChartInternal::State Struct Reference

the state of QuattroDosChart More...

## Public Member Functions
| State ()
| constructor

## Static Public Member Functions
static bool | getPattern (int id, WPSGraphicStyle::Pattern &pattern)
| returns the pattern corresponding to a pattern id between 0 and 15

## Public Attributes
long | m_eof
| the last file position
int | m_version
| the file version
int | m_chartType
| the chart type
std::multimap< int, std::shared_ptr< Chart > > | m_idToChartMap
| map sheet id to chart

## Detailed Description

the state of QuattroDosChart

## Constructor & Destructor Documentation

## ◆ State()

QuattroDosChartInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getPattern()

bool QuattroDosChartInternal::State::getPattern | ( | int | id,
|  | WPSGraphicStyle::Pattern & | pattern )
| static

returns the pattern corresponding to a pattern id between 0 and 15

## Member Data Documentation

## ◆ m_chartType

int QuattroDosChartInternal::State::m_chartType

the chart type

Referenced by State().

## ◆ m_eof

long QuattroDosChartInternal::State::m_eof

the last file position

Referenced by State().

## ◆ m_idToChartMap

std::multimap<int,std::shared_ptr<Chart> > QuattroDosChartInternal::State::m_idToChartMap

map sheet id to chart

Referenced by State().

## ◆ m_version

int QuattroDosChartInternal::State::m_version

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- QuattroDosChart.cpp